<!--자바스크립트를 사용하기 위함-->
<%@page import="java.io.PrintWriter"%>
<!--우리가 만든 클래스를 사용-->
<%@page import="user.UserDAO"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!--넘어온 데이터 한글 깨짐 방지-->
<% request.setCharacterEncoding("utf-8"); %>
<!--User클래스를 자바빈즈로써 사용-->
<!--이름, 패키지 명을 포함한 클래스 경로, 사용범위-->
<jsp:useBean id="user" class="user.User" scope="page" />
<!--로그인 페이지에서 받아온 사용자 ID를 'userID'에 저장-->
<jsp:setProperty name="user" property="userID" />
<!--로그인 페이지에서 받아온 사용자 ID를 'userPassword'에 저장-->
<jsp:setProperty name="user" property="userPassword" />
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>JSP 게시판 웹 사이트</title>
</head>
<body>
	<%
		// 현재 세션 상태를 체크한다
		String userID = null;
		if(session.getAttribute("userID") != null){
			userID = (String)session.getAttribute("userID");
		}
		// 이미 로그인했으면 다시 로그인을 할 수 없게 한다
		if(userID != null){
			PrintWriter script = response.getWriter();
			script.println("<script>");
			script.println("alert('이미 로그인이 되어 있습니다')");
			script.println("location.href='main.jsp'");
			script.println("</script>");
		}
			
		//UserDAO 클래스 인스턴스 'userDAO'를 생성
		UserDAO userDAO = new UserDAO();
		//int타입 변수 'result'에 'userDAO'인스턴스 클래스의 'login'메소드의 실행 결과를 저장
		//'login'메소드의 매개변수는 실제 브라우저에서 사용자가 입력한 아이디와 비밀번호를 넣어 적용
		int result = userDAO.login(user.getUserID(), user.getUserPassword());
		//로그인 메소드를 만들 때 결과에 따른 반환값을 모두 다르게 설정
		//반환값에 맞게 각각 로직을 다르게 처리, 로직 처리는 자바스크립트의 도움을 받음
		if(result == 1){
			// 로그인에 성공하면 세션을 부여
			session.setAttribute("userID", user.getUserID());
			
			//자바스크립트 문장을 실행하게 해줌
			PrintWriter script = response.getWriter();
			script.println("<script>");
			script.println("alert('로그인 성공')");
			script.println("location.href='main.jsp'");
			script.println("</script>");
		}else if(result == 0){
			PrintWriter script = response.getWriter();
			script.println("<script>");
			script.println("alert('비밀번호가 틀립니다')");
			script.println("history.back()");
			script.println("</script>");
		}else if(result == -1){
			PrintWriter script = response.getWriter();
			script.println("<script>");
			script.println("alert('존재하지 않는 아이디입니다')");
			script.println("history.back()");
			script.println("</script>");
		}else if(result == -2){
			PrintWriter script = response.getWriter();
			script.println("<script>");
			script.println("alert('데이터베이스 오류입니다')");
			script.println("history.back()");
			script.println("</script>");
		}
	%>
</body>
</html>